const TRANSLATIONS = {
  title: {
    en: 'Press play to listen to this article',
    da: 'Tryk på afspil for at lytte til denne artikel',
    nl: 'Druk op play om naar dit artikel te luisteren',
    fr: 'Appuyez sur play pour écouter cet article',
    de: 'Drücken Sie auf Abspielen, um diesen Artikel zu hören',
    is: 'Ýttu á spilun til að hlusta á þessa grein',
    ja: '再生を押してこの記事を聞く',
    nb: 'Trykk "Play" for å få artikkelen opplest',
    pl: 'Naciśnij przycisk odtwarzania, aby posłuchać tego artykułu',
    pt: 'Pressione play para ouvir este artigo',
    ro: 'Apăsați pe redare pentru a asculta acest articol',
    ru: 'Нажмите play, чтобы прослушать статью',
    es: 'Presiona reproducir para escuchar este artículo',
    sv: 'Tryck på spel för att lyssna på den här artikeln',
    tr: 'Bu makaleyi dinlemek için oynat\'a basın',
    cy: 'Gwasgwch i wrando ar yr erthygl hon',
  },
  shortTitle: {
    en: 'Listen to this article',
    da: 'Lyt til denne artikel',
    nl: 'Luister naar dit artikel',
    fr: 'Écoutez cet article',
    de: 'Jetzt diesen Artikel anhören',
    is: 'Hlustaðu á þessa grein',
    it: 'Ascolta questo articolo',
    ja: 'この記事を聞く',
    nb: 'Lytt til denne artikkelen',
    pl: 'Posłuchaj tego artykułu',
    pt: 'Ouça este artigo',
    ro: 'Ascultați acest articol',
    ru: 'Послушать статью',
    es: 'Escucha este artículo',
    sv: 'Lyssna på den här artikeln',
    tr: 'Bu makaleyi dinle',
    cy: 'Gwrandewch ar yr erthygl hon',
  },
  loading: {
    en: 'Loading',
    da: 'Indlæser',
    nl: 'Bezig met laden',
    fr: 'Chargement',
    de: 'Wird geladen',
    is: 'Hleðsla',
    ja: '読み込み中',
    nb: 'Laster',
    pl: 'Ładuję',
    pt: 'Carregando',
    ro: 'se incarca',
    ru: 'Загрузка',
    es: 'Cargando',
    sv: 'Läser in',
    tr: 'Yükleniyor',
    cy: 'Llwytho',
  },
  playing: {
    en: 'Now playing',
    da: 'Spiller nu',
    nl: 'Nu aan het spelen',
    fr: 'Lecture en cours',
    de: 'Läuft gerade',
    is: 'Nú spilar',
    it: 'In riproduzione',
    ja: '再生中',
    nb: 'Spiller nå',
    pl: 'Teraz grasz',
    pt: 'Agora jogando',
    ro: 'Acum joci',
    ru: 'Играет',
    es: 'Reproduciendo ahora',
    sv: 'Nu spelas',
    tr: 'Şimdi oynuyor',
    cy: 'Nawr yn chwarae',
  },
  adsNote: {
    en: 'Article will play in ',
    ru: 'Воспроизведение начнется через ',
  },
  advertiserNote: {
    en: 'Audio sponsored by ',
    ru: 'Подкаст спонсирован ',
  },
}

const LANGUAGES_MAP = {
  en: true,
  da: true,
  nl: true,
  fr: true,
  de: true,
  is: true,
  it: true,
  ja: true,
  nb: true,
  pl: true,
  pt: true,
  ro: true,
  ru: true,
  es: true,
  sv: true,
  tr: true,
  cy: true,
}

const DEFAULT_LANG = 'en'

export { TRANSLATIONS, LANGUAGES_MAP, DEFAULT_LANG }
