import Cookies from 'js-cookie'
import { get } from 'lodash'

const COOKIE_NAME = '_sk-data'

const getCookieData = () => {
  return Cookies.getJSON(COOKIE_NAME)
}

export const getCookieValue = (key) => {
  return get(getCookieData(), key)
}

export const setCookieValue = (key, value) => {
  const data = getCookieData() || {}
  data[key] = value
  Cookies.set(COOKIE_NAME, data)
}
